%define upstream_name    Catalyst-Plugin-AutoCRUD
%define upstream_version 1.110731

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Instant AJAX web front-end for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Model)
BuildRequires: perl(Catalyst::Model::DBIC::Schema)
BuildRequires: perl(Catalyst::Runtime) >= 5.700.0
BuildRequires: perl(Catalyst::Utils)
BuildRequires: perl(Catalyst::View::JSON)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(DBIx::Class::Schema::Loader)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Page)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Lingua::EN::Inflect::Number)
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(overload)
BuildArch:  noarch

%description
This module contains an application which will automatically construct a
web interface for a database on the fly. The web interface supports Create,
Retrieve, Update, Delete and Search operations.

The interface is not written to static files on your system, and uses AJAX
to act upon the database without reloading your web page (much like other
Web 2.0 appliactions, for example Google Mail).

Almost all the information required by the plugin is retrieved from the the
DBIx::Class manpage ORM frontend to your database, which it is expected
that you have already set up (although see the /USAGE manpage, below). This
means that any change in database schema ought to be reflected immediately
in the web interface after a page refresh.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 16 2011 jquelin <jquelin> 1.110.731-1.mga1
+ Revision: 72363
- update to 1.110731

* Fri Feb 25 2011 jquelin <jquelin> 1.110.471-1.mga1
+ Revision: 59655
- update to 1.110471

* Thu Jan 27 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 42053
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Catalyst-Plugin-AutoCRUD

